const paths = require('./paths');
const fs = require('fs');
const { merge } = require('webpack-merge');

module.exports = function (webpackEnv) {
  let config = require('./webpack/common')(webpackEnv)
  const { custom = {}, override } = fs.existsSync(paths.mjdConfigPath) ? require(paths.mjdConfigPath) : {}
  config = merge(config, custom)
  return  override ? override(config) : config;
}